%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:		nwsserver
Summary: 	NetWorkSpaces Server for clustering of scripting languages
Version:	2.0.0
Release:	14%{?dist}
License:	GPLv2+
Group:		Development/Tools
Source0:	http://downloads.sourceforge.net/nws-r/%{name}-%{version}.tar.gz
URL:		http://www.lindaspaces.com/products/NWS_overview.html
BuildArch:	noarch
BuildRequires:	python-devel
Requires:	python-twisted >= 2.1
Requires:	python-twisted-web >= 0.5

%description
NetWorkSpaces (NWS) is a powerful, open-source software package that makes it 
easy to use clusters from within scripting languages like Python, R, and 
Matlab. It uses a Space-based approach that makes it easier to write 
distributed applications. NWS looks and feels like a conventional workspace 
in the base scripting language, enables network script processes to share 
data, provides general distributed/parallel script execution, runs network 
script processes either uncoupled or coordinated, and dramatically increases 
developer productivity in implementing and maintaining distributed 
applications because of its anonymous communication. 

%prep
%setup -q

%build
%{__python} setup.py build

%install
NWS_TAC_DIR=%{_sysconfdir} %{__python} setup.py install --skip-build --root %{buildroot}

rm -rf %{buildroot}%{_prefix}/nws-server

%files
%doc README PKG-INFO
%config(noreplace) %{_sysconfdir}/nws.tac
%{python_sitelib}/nwss/
%{python_sitelib}/%{name}-%{version}-py*.egg-info

%changelog
* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.0-12
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Jan 19 2016 Tom Callaway <spot@fedoraproject.org> - 2.0.0-10
- spec file cleanups

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 2.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Mon Oct  5 2009 Tom "spot" Callaway <tcallawa@redhat.com> 2.0.0-1
- update to 2.0.0

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Mar  6 2009 Tom "spot" Callaway <tcallawa@redhat.com> 1.5.2-2
- fix description

* Fri Oct 17 2008 Tom "spot" Callaway <tcallawa@redhat.com> 1.5.2-1
- initial version for Fedora
